## org.biojava.bio.program.gff
Class GFFRecordFilter.FrameFilter

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.FrameFilter

All Implemented Interfaces:
  GFFRecordFilter

Enclosing interface:
  GFFRecordFilter

    public static class GFFRecordFilter.FrameFilter

extends Object
implements GFFRecordFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.FrameFilter()`
`GFFRecordFilter.FrameFilter(int frame)`

Method Summary
`boolean` `accept(GFFRecord record)` Return whether or not to accept record.
`int` `getFrame()`
`void` `setFrame(int frame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.FrameFilter

    public GFFRecordFilter.FrameFilter()

### GFFRecordFilter.FrameFilter

    public GFFRecordFilter.FrameFilter(int frame)

Method Detail

### getFrame

    public int getFrame()

### setFrame

    public void setFrame(int frame)

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Parameters:
    `record` - the GFFRecord to filter
  Returns:
    true if record should be accepted or false otherwise